=== modules/video/CMakeLists.txt ===
set(the_description "Video Analysis")
ocv_define_module(video opencv_imgproc WRAP java python)
