## opencv 3.3.0+dfsg

=== debian/changelog ===
opencv (3.3.0+dfsg-1~exp0) experimental; urgency=medium

  * Team upload.

  [ Nobuhiro Iwamatsu ]
  * Update to OpenCV 3.3.0.
  * Refresh patches.
    + Remove fix_VFP_asm patch, applied upstream.
  * Disable ITT.
  * Disable the dnn module through a CMake option instead of a patch.
  * Disable the dnn_modern module.
  * Add img_hasn and traking modules to libopencv-contrib.
  * Remove valgrind.supp and valgrind_3rdparty.supp.

  [ Mattia Rizzolo ]
  * d/patches:
    + Drop unused Don-t-check-sphinx-build-version.patch patch file.
    + Forward fix_ftbfs_on_non_linux.
  * d/rules:
    + Handle CPU optimization the way OpenCV 3.3 expects us to.
  * Bump debhelper compat level to 10.
    + Drop dh --parallel option, now default.
  * Drop unused lintian override debian-watch-file-should-mangle-version
  * d/patches/fix_java_build.patch: add to fix FTBFS in certain conditions.
  * d/control: place libopencv3.3-jni in section java.
  * Install maven artifacts with maven-repo-helper so reverse dependencies can
    automatically pick the dependency by using ${maven:Depends}.
    Thanks to Gilles Filippini <pini@debian.org> for the patch. Closes: #878949

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 29 Oct 2017 15:59:18 +0100
