## opencv 3.4.5+dfsg

=== debian/changelog ===
opencv (3.4.5+dfsg-1~exp1) experimental; urgency=medium

  * New upstream version 3.4.5+dfsg
  * Reference bugs forgot to close in changelog of previous revision.
  * Add Depends: libilmbase-dev to libopencv-dev to fix missing shlib
    deps for binary executables shipped in libopencv-dev.
  * Update the list of closed CVEs in the previous changelog section.
    Synced with Gianfranco Costamagna's Ubuntu delta (3.2.0+dfsg-5ubuntu1).
  * RM README.source, move Files-Excluded to d/copyright (Closes: #862796)
  * Breaks+Replaces libopencv3.3-java. (Closes: #880212)
  * Bump version string from 344 to 345 for Java stuff and pom.xml
  * Amend installation of python files.
  * Define OPENCV_SKIP_PYTHON_LOADER=ON.

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 30 Dec 2018 10:18:57 +0000

opencv (3.4.4+dfsg-1~exp1) experimental; urgency=medium

  [ Mattia Rizzolo ]
  * d/control:
    + Use unversioned Conflicts in libopencv-dev, to force the removal
      of some old packages.  Closes: #880921
    + Remove dbus-x11 work around now that #878878 is fixed.

  [ Nobuhiro Iwamatsu ]
  * Add libvtkgdcm2-dev, libgdcm-tools to Build-Depends.
  * Set -DBUILD_PROTOBUF=OFF in CMake options
  * Remove patches:
    - fix_ftbfs_on_non_linux, support_multiarch, mathjax
    - disable_dnn_modern, fix_java_build.patch
  * Update module list of contrib, add hfs module to contrib.
  * Install usr/share/OpenCV/licenses/SoftFloat-COPYING.txt to libopencv-dev
  * Update debhelper compatibility to 11
  * Bump Standards-Version to 4.1.5
  * Change Vcs-Git and Vcs-Browser to salsa
  * Update patches/disable_opengl_test_build
  * Update patches/change_jquery.js_path

  [ Mo Zhou ]
  * New upstream version 3.4.4+dfsg (Closes: #913330)
  * Append myself to Uploaders.
  * Remove patch disable_opengl_test_build, not useful anymore.
  * Sort CMake options in rules.
  * Explicitly enable the dnn and face modules in CMake options.
    (Closes: #909179)
  * Prevent CMake from downloading pre-trained model for face module. (patch)
  * Update jar Version in d/pom.xml
  * Fix java build/installation by explicitly specifying ANT_EXECUTABLE.
    (Ref: #914748)
  * Compile then install the text module to the -contrib package.
  * New binary package libopencv-dnn3.4, and it's corresponding dev package.
  * New shared object libopencv_dnn_objdetect.so in the -contrib package.
  * Update d/copyright.
  * Misc cleanup: fix metadata syntax error.
  * Define PROTOBUF_UPDATE_FILES=ON in cmake options in order to refresh
    protobuf related files for the dnn module.

  [ Vulnerabilities Fixed in Upstream 3.4.4 Release ]
  * CVE-2016-1516, CVE-2016-1517 (Ref: #872043)
  * CVE-2017-12597, CVE-2017-12598, CVE-2017-12599, CVE-2017-12601,
    CVE-2017-12603, CVE-2017-12604, CVE-2017-12605, CVE-2017-12606
    (Ref: 872044)
  * CVE-2017-12600, CVE-2017-12602 (Ref: #872045)
  * CVE-2017-12862 (Ref: #875342)
  * CVE-2017-12863 (Ref: #875344)
  * CVE-2017-12864 (Ref: #875345)
  * CVE-2017-14136
  * CVE-2017-17760 (Ref: #885843)
  * CVE-2017-18009
  * CVE-2017-1000450 (Ref: #886282)
  * CVE-2018-5268 (Closes: #886674)
  * CVE-2018-5269 (Closes: #886675)

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 27 Nov 2018 14:13:09 +0000
