=== debian/control ===
--- 
+++ 
@@ -5,13 +5,11 @@
 Uploaders:
  Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
  Nobuhiro Iwamatsu <iwamatsu@debian.org>,
+ Mo Zhou <cdluminate@gmail.com>,
 Build-Depends:
  ant,
  cmake (>= 2.8.7),
-# specifically include dbus-x11 to temporary work around #878878
-# and allow apt on !linux to satisfy the build-deps
- dbus-x11 [!linux-any],
- debhelper (>= 10),
+ debhelper (>= 11),
  default-jdk,
  dh-python,
  doxygen,
@@ -41,6 +39,8 @@
  libtiff-dev,
  libv4l-dev [linux-any],
  libvtk6-dev,
+ libvtkgdcm2-dev,
+ libgdcm-tools,
  maven-repo-helper,
  ocl-icd-opencl-dev,
  protobuf-compiler,
@@ -49,9 +49,9 @@
  python3-dev,
  python3-numpy,
  zlib1g-dev (>= 1.2.5),
-Standards-Version: 4.1.1
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/opencv.git
-Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/opencv.git
+Standards-Version: 4.1.5
+Vcs-Git: https://salsa.debian.org/science-team/opencv.git
+Vcs-Browser: https://salsa.debian.org/science-team/opencv
 Homepage: https://opencv.org
 
 Package: opencv-doc
@@ -85,6 +85,7 @@
  libopencv-calib3d-dev (= ${binary:Version}),
  libopencv-contrib-dev (= ${binary:Version}),
  libopencv-core-dev (= ${binary:Version}),
+ libopencv-dnn-dev (= ${binary:Version}),
  libopencv-features2d-dev (= ${binary:Version}),
  libopencv-flann-dev (= ${binary:Version}),
  libopencv-highgui-dev (= ${binary:Version}),
@@ -101,10 +102,11 @@
  libopencv-videoio-dev (= ${binary:Version}),
  libopencv-videostab-dev (= ${binary:Version}),
  libopencv-viz-dev (= ${binary:Version}),
- libopencv3.3-java (= ${source:Version}),
+ libopencv3.4-java (= ${source:Version}),
  pkg-config,
  ${misc:Depends},
  ${shlibs:Depends},
+ libilmbase-dev,
 Recommends:
  opencv-data,
 Suggests:
@@ -116,9 +118,9 @@
  libcvaux-dev,
  libhighgui-dev,
 Conflicts:
- libcv-dev (<= 2.4.9.1+dfsg-2.1),
- libcvaux-dev (<= 2.4.9.1+dfsg-2.1),
- libhighgui-dev (<= 2.4.9.1+dfsg-2.1),
+ libcv-dev,
+ libcvaux-dev,
+ libhighgui-dev,
 Description: development files for opencv
  This is a metapackage providing development package necessary for
  development of OpenCV (Open Computer Vision).
@@ -159,11 +161,11 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libopencv-core3.3 (= ${binary:Version}),
+ libopencv-core3.4 (= ${binary:Version}),
  libtbb-dev [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x powerpc powerpcspe ppc64 sh4 sparc64],
  zlib1g-dev,
  ${misc:Depends},
-Description: development files for libopencv-core3.3
+Description: development files for libopencv-core3.4
  This package contains the header files and static library needed to compile
  applications that use OpenCV (Open Computer Vision) core.
  .
@@ -177,7 +179,7 @@
  analysis, structural analysis, motion analysis and object tracking, object
  recognition, camera calibration and 3D reconstruction.
 
-Package: libopencv-core3.3
+Package: libopencv-core3.4
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -205,9 +207,9 @@
 Multi-Arch: same
 Depends:
  libopencv-core-dev (= ${binary:Version}),
- libopencv-ml3.3 (= ${binary:Version}),
- ${misc:Depends},
-Description: development files for libopencv-ml3.3
+ libopencv-ml3.4 (= ${binary:Version}),
+ ${misc:Depends},
+Description: development files for libopencv-ml3.4
  This package contains the header files and static library needed to compile
  applications that use OpenCV (Open Computer Vision) Machine Learning library.
  .
@@ -221,14 +223,14 @@
  analysis, structural analysis, motion analysis and object tracking, object
  recognition, camera calibration and 3D reconstruction.
 
-Package: libopencv-ml3.3
+Package: libopencv-ml3.4
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
- libopencv-core3.3 (= ${binary:Version}),
+ libopencv-core3.4 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: computer vision Machine Learning library
@@ -251,9 +253,9 @@
 Multi-Arch: same
 Depends:
  libopencv-core-dev (= ${binary:Version}),
- libopencv-imgproc3.3 (= ${binary:Version}),
- ${misc:Depends},
-Description: development files for libopencv-imgproc3.3
+ libopencv-imgproc3.4 (= ${binary:Version}),
+ ${misc:Depends},
+Description: development files for libopencv-imgproc3.4
  This package contains the header files and static library needed to compile
  applications that use OpenCV (Open Computer Vision) Image Processing library.
  .
@@ -267,14 +269,14 @@
  analysis, structural analysis, motion analysis and object tracking, object
  recognition, camera calibration and 3D reconstruction.
 
-Package: libopencv-imgproc3.3
+Package: libopencv-imgproc3.4
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
- libopencv-core3.3 (= ${binary:Version}),
+ libopencv-core3.4 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: computer vision Image Processing library
@@ -297,10 +299,10 @@
 Multi-Arch: same
 Depends:
  libgdcm2-dev [!hppa !m68k !powerpcspe !sh4],
- libopencv-imgcodecs3.3 (= ${binary:Version}),
+ libopencv-imgcodecs3.4 (= ${binary:Version}),
  libopencv-imgproc-dev (= ${binary:Version}),
  ${misc:Depends},
-Description: development files for libopencv-imgcodecs3.3
+Description: development files for libopencv-imgcodecs3.4
  This package contains the header files and static library needed to compile
  applications that use OpenCV (Open Computer Vision) Image Codecs library.
  .
@@ -314,8 +316,13 @@
  analysis, structural analysis, motion analysis and object tracking, object
  recognition, camera calibration and 3D reconstruction.
 
-Package: libopencv-imgcodecs3.3
+Package: libopencv-imgcodecs3.4
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ libopencv-imgproc3.4 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
