=== debian/rules ===
--- 
+++ 
@@ -41,44 +41,50 @@
 export JAVA_HOME=/usr/lib/jvm/default-java
 
 CMAKE_FLAGS = \
+	-DANT_EXECUTABLE=/usr/bin/ant \
+	-DBUILD_EXAMPLES=ON	\
+	-DBUILD_PROTOBUF=OFF \
+	-DBUILD_TESTS=OFF \
+	-DBUILD_JAVA=ON \
+	-DBUILD_opencv_dnn=ON \
+	-DBUILD_opencv_dnn_modern=ON \
+	-DBUILD_opencv_face=ON \
+	-DCMAKE_BUILD_TYPE=Release	\
+	-DCMAKE_CXX_FLAGS_RELEASE="$(CXXFLAGS)" \
+	-DCMAKE_C_FLAGS_RELEASE="$(CFLAGS)" \
+	-DCMAKE_EXE_LINKER_FLAGS_RELEASE="$(LDFLAGS)" \
+	-DCMAKE_INSTALL_LIBDIR="lib/$(DEB_HOST_MULTIARCH)" \
 	-DCMAKE_INSTALL_PREFIX=/usr \
-	-DCMAKE_INSTALL_LIBDIR="lib/$(DEB_HOST_MULTIARCH)" \
+	-DCMAKE_SKIP_RPATH=ON \
 	-DCMAKE_VERBOSE_MAKEFILE=ON \
-	-DCMAKE_C_FLAGS_RELEASE="$(CFLAGS)" \
-	-DCMAKE_CXX_FLAGS_RELEASE="$(CXXFLAGS)" \
-	-DCMAKE_EXE_LINKER_FLAGS_RELEASE="$(LDFLAGS)" \
+	-DENABLE_PRECOMPILED_HEADERS=OFF \
+	-DINSTALL_C_EXAMPLES=ON	\
+	-DINSTALL_PYTHON_EXAMPLES=ON \
+	-DOPENCL_INCLUDE_DIR:PATH="/usr/include/CL/" \
+	-DOPENCV_EXTRA_MODULES_PATH="$(CURDIR)/contrib/modules" \
 	-DOPENCV_MATHJAX_RELPATH=/usr/share/javascript/mathjax/ \
-	-DCMAKE_BUILD_TYPE=Release	\
-	-DBUILD_EXAMPLES=ON	\
-	-DINSTALL_C_EXAMPLES=ON	\
-	-DINSTALL_PYTHON_EXAMPLES=ON	\
+	-OPENCV_SKIP_PYTHON_LOADER=ON \
+	-DPROTOBUF_UPDATE_FILES=ON \
+	-DWITH_CAROTENE=OFF \
+	-DWITH_CUDA=OFF \
+	-DWITH_EIGEN=ON \
 	-DWITH_FFMPEG=ON	\
-	-DWITH_GSTREAMER=OFF	\
-	-DWITH_GTK=ON	\
+	-DWITH_GDAL=ON \
+	-DWITH_GDCM=ON \
+	-DWITH_GSTREAMER=OFF \
+	-DWITH_GTK=ON \
+	-DWITH_IPP=OFF \
+	-DWITH_ITT=OFF \
 	-DWITH_JASPER=OFF	\
 	-DWITH_JPEG=ON	\
+	-DWITH_OPENEXR=ON \
 	-DWITH_PNG=ON	\
+	-DWITH_QUIRC=OFF \
+	-DWITH_PVAPI=ON	\
 	-DWITH_TIFF=ON	\
-	-DWITH_OPENEXR=ON \
-	-DWITH_PVAPI=ON	\
 	-DWITH_UNICAP=OFF	\
-	-DWITH_EIGEN=ON \
 	-DWITH_VTK=ON \
-	-DWITH_GDAL=ON \
-	-DWITH_GDCM=ON \
 	-DWITH_XINE=OFF	\
-	-DWITH_IPP=OFF \
-	-DWITH_ITT=OFF \
-	-DBUILD_TESTS=OFF \
-	-DCMAKE_SKIP_RPATH=ON \
-	-DWITH_CUDA=OFF \
-	-DENABLE_PRECOMPILED_HEADERS=OFF \
-	-DWITH_IPP=OFF \
-	-DWITH_CAROTENE=OFF \
-	-DBUILD_opencv_dnn=OFF \
-	-DBUILD_opencv_dnn_modern=OFF \
-	-DOPENCL_INCLUDE_DIR:PATH="/usr/include/CL/" \
-	-DOPENCV_EXTRA_MODULES_PATH="$(CURDIR)/contrib/modules" \
 	$(CMAKE_ARCH_FLAGS)
 
 %:
@@ -107,7 +113,6 @@
 	dh_auto_configure -B $(BUILDDIR)-static \
 		-- $(CMAKE_FLAGS) \
 		-DBUILD_SHARED_LIBS=OFF -DBUILD_DOCS=OFF
-
 
 override_dh_auto_build: build_dyn build_static
 build_dyn:
@@ -142,7 +147,7 @@
 	dh_numpy3
 	dh_gencontrol
 
-OCV_CONTRIB = opencv_contrib-3.2.0
+OCV_CONTRIB = opencv_contrib-3.4.2
 PKG = opencv
 UVER = $(shell dpkg-parsechangelog -S Version | sed 's,-.*,,')
 DTYPE = +dfsg
